# Get conversation

Get conversation. See the OpenAPI-defined parameters, request body, and responses below.

Source: https://zild.ai/en-US/docs/api-reference/get-api-Conversation-id

GET `/Conversation/{id}`

Get conversation. See the OpenAPI-defined parameters, request body, and responses below.

**OpenAPI description:** Este endpoint retorna os detalhes de uma conversa especificada pelo identificador.

## Authentication

**Authentication required.** Send your user API key in the X-API-Key header.

## Parameters



<table class="api-params"><thead><tr><th>Name</th><th>Location</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>path</code></td><td><code>integer · int32</code></td><td>Yes</td><td>—</td><td>—</td></tr></tbody></table>



## Request body

This operation does not accept a request body.

## Example request



```
curl --request GET \
  --url 'https://api.zild.ai/Conversation/{id}' \
  --header 'X-API-Key: YOUR_USER_API_KEY'
```



## Responses



<table class="api-params"><thead><tr><th>Status</th><th>Description</th><th>Response body</th></tr></thead><tbody><tr><td><code>200</code></td><td>Sucesso ao retornar a conversa</td><td><code>application/json</code> · <code>ConversationDto</code></td></tr></tbody></table>

**Example response (200):**



```
{
  "id": 0,
  "active": true,
  "title": "string",
  "liveAgent": true,
  "from": "string",
  "conversationId": "string",
  "waterMark": "string",
  "token": "string",
  "createdAt": "2026-09-22T18:00:00Z",
  "finishedAt": "2026-09-22T18:00:00Z",
  "queuedAt": "2026-09-22T18:00:00Z",
  "lastConversationUpdateTime": "2026-09-22T18:00:00Z",
  "lastMessageContent": "string",
  "contactId": 0,
  "contactName": "string",
  "userId": 0,
  "userName": "string",
  "counterpartUserId": 0,
  "counterpartUserName": "string",
  "botId": 0,
  "botName": "string",
  "fileUrl": "string",
  "fileName": "string",
  "tenantId": 0,
  "conversationSummary": "string",
  "messages": [
    {
      "id": 0,
      "createdAt": "2026-09-22T18:00:00Z",
      "from": "string",
      "to": "string",
      "content": "string",
      "conversationId": 0,
      "sentiment": "string",
      "offset": "string",
      "isNPS": true,
      "contentSid": "string",
      "messageType": 0,
      "conversationTemplateId": 0,
      "mediaUrl": "string",
      "mediaFileName": "string",
      "tenantId": 0,
      "userId": 0,
      "contentVariables": "string",
      "messageSid": "string",
      "messageStatus": 0,
      "sent": true,
      "delivered": true,
      "read": true,
      "errorCode": "string",
      "errorMessage": "string",
      "isReadByUser": true,
      "documentId": 0
    }
  ],
  "score": 0,
  "finalScore": 0,
  "checklistId": 0,
  "communicationChannel": 0,
  "conversationIntegrationType": 0,
  "duration": "string",
  "highImportanceErrorDetected": true,
  "tags": [
    {
      "id": 0,
      "name": "string",
      "active": true,
      "createdAt": "2026-09-22T18:00:00Z",
      "tenantId": 0
    }
  ],
  "conversationEvaluationStatus": 0,
  "conversationEvaluationStatusMessage": "string",
  "queueId": 0,
  "queueName": "string",
  "conversationEndedReasonId": 0,
  "agentType": 0,
  "conversationType": 0,
  "applicationStatusId": 0,
  "overallSentiment": "string",
  "callStatus": "string",
  "disconnectionReason": "string",
  "callSuccessful": true,
  "totalUnreadedMessagesByUser": 0,
  "dynamicVariables": [
    {
      "id": 0,
      "name": "string",
      "value": "string",
      "conversationId": 0
    }
  ],
  "dataCollection": [
    {
      "id": 0,
      "name": "string",
      "value": "string",
      "conversationId": 0
    }
  ],
  "agentId": 0,
  "loadingResponse": true
}
```



## Data models

`AgentType`0 = ZildAssist; 1 = ZildFlow; 2 = ZildInsightChat; 3 = ZildChat; 4 = ZildDocs; 5 = ZildVoice; 6 = ZildCoach; 7 = ZildInsightChecklist

`integer`

`CommunicationChannel`0 = Default; 1 = WhatsApp; 2 = Telefonia; 3 = Email; 4 = WebChat; 5 = InstagramDirectMessage; 6 = FacebookMessenger; 7 = MicrosoftTeams; 8 = ZildCoach

`integer`

`ConversationDataCollectionDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>value</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`ConversationDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>active</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>title</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>liveAgent</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>from</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationId</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>waterMark</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>token</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>finishedAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>queuedAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>lastConversationUpdateTime</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>lastMessageContent</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>contactId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>contactName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>userName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>counterpartUserId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>counterpartUserName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>botId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>botName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>fileUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>fileName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>tenantId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>conversationSummary</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>messages</code></td><td><code>array&lt;MessageDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>score</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>finalScore</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>checklistId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>communicationChannel</code></td><td><code>CommunicationChannel</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>conversationIntegrationType</code></td><td><code>ConversationIntegrationType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>duration</code></td><td><code>string · date-span</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>highImportanceErrorDetected</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>tags</code></td><td><code>array&lt;TagDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationEvaluationStatus</code></td><td><code>ConversationEvaluationStatus</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>conversationEvaluationStatusMessage</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>queueId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>queueName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationEndedReasonId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>agentType</code></td><td><code>AgentType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>conversationType</code></td><td><code>ConversationType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>applicationStatusId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>overallSentiment</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>callStatus</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>disconnectionReason</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>callSuccessful</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>totalUnreadedMessagesByUser</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>dynamicVariables</code></td><td><code>array&lt;ConversationDynamicVariableDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>dataCollection</code></td><td><code>array&lt;ConversationDataCollectionDto&gt;</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>agentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>loadingResponse</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`ConversationDynamicVariableDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>value</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>

`ConversationEvaluationStatus`0 = NotStarted; 1 = InProgress; 2 = Success; 3 = Error; 4 = Ineligible

`integer`

`ConversationIntegrationType`0 = None; 1 = Olus; 2 = TotalIP; 3 = MicrosoftTeams; 4 = Fluctus; 5 = OpaSuite; 6 = ChatMix; 7 = MKBOOT; 8 = FocusChat; 9 = Tallos; 10 = SZFortics; 11 = James; 12 = MatrixGo; 13 = Twilio; 14 = Native; 15 = Internal; 16 = RetellAI; 17 = ElevenLabs; 18 = Email; 19 = WhatsAppApi; 20 = WebChat

`integer`

`ConversationType`0 = ZildAssist; 1 = ZildInsight; 2 = AiSdrReactive; 3 = AiSdrProactive; 4 = AiHrInterview; 5 = ZildCoach; 6 = ZildVoice; 99 = Agent

`integer`

`MessageDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>from</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>to</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>content</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>conversationId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>sentiment</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>offset</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>isNPS</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>contentSid</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>messageType</code></td><td><code>MessageType</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>conversationTemplateId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>mediaUrl</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>mediaFileName</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>tenantId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>userId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>contentVariables</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>messageSid</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>messageStatus</code></td><td><code>MessageStatus</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>sent</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>delivered</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>read</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>errorCode</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>errorMessage</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>isReadByUser</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>documentId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>nullable</td></tr></tbody></table>

`MessageStatus`0 = Queued; 1 = Sending; 2 = Sent; 3 = Delivered; 4 = Receiving; 5 = Received; 6 = Accepted; 7 = Scheduled; 8 = Read; 9 = Undelivered; 10 = Canceled; 11 = Failed

`integer`

`MessageType`0 = Text; 1 = Image; 2 = File; 3 = Audio; 4 = Video; 5 = Internal; 6 = TemplateMarketing; 7 = TemplateUtility; 8 = Location; 9 = Contact

`integer`

`TagDto`

<table class="api-params"><thead><tr><th>Property</th><th>Type</th><th>Required</th><th>Description</th><th>Constraints</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>name</code></td><td><code>string</code></td><td>No</td><td>—</td><td>nullable</td></tr><tr><td><code>active</code></td><td><code>boolean</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>createdAt</code></td><td><code>string · date-time</code></td><td>No</td><td>—</td><td>—</td></tr><tr><td><code>tenantId</code></td><td><code>integer · int32</code></td><td>No</td><td>—</td><td>—</td></tr></tbody></table>
